装備条件拡張 - EquipConditionExtend.js

シェア用テキスト:
▼装備条件拡張(トリアコンタン様作) - EquipConditionExtend.js
https://plugin.fungamemake.com/archives/16215
装備条件を拡張します。

ふりがな:そうびじょうけんかくちょう

機能概要: 装備条件を拡張します。

利用規約(ライセンス): MITライセンス

作者:トリアコンタン

作者サイト:http://triacontane.blogspot.jp/

ダウンロードページ:https://raw.githubusercontent.com/triacontane/RPGMakerM…

ファイル名:EquipConditionExtend.js

プラグインのヘルプ:

/*:ja
 * @plugindesc 装備条件拡張プラグイン
 * @author トリアコンタン
 *
 * @help 装備条件を拡張します。
 * 武器または防具のメモ欄に以下の通り記述してください。
 *
 * <ECE_スキル:5>     # ID[5]のスキルを習得している。
 * <ECE_Skill:5>      # 同上
 * <ECE_ステート:7>   # ID[7]のステートが有効になっている。
 * <ECE_State:7>      # 同上
 * <ECE_アクター:4>   # ID[4]のアクターである。
 * <ECE_Actor:4>      # 同上
 * <ECE_スイッチ:1,3> # ID[1]もしくはID[3]のスイッチがONになっている。
 * <ECE_Switch:1,3>   # 同上
 * <ECE_計算式:f>     # JS計算式[f]がtrueを返す
 * <ECE_Formula:f>    # 同上
 *
 * 数値をカンマ区切りで複数記入すると、指定した数値のいずれかが該当すれば
 * 装備可能になります。
 *
 * スキルとステートについては、負の値を設定すると指定したIDのスキル、ステートが
 * 無効な場合のみ装備できるようになります。
 *
 * このプラグインにはプラグインコマンドはありません。
 *
 * 利用規約:
 *  作者に無断で改変、再配布が可能で、利用形態(商用、18禁利用等)
 *  についても制限はありません。
 *  このプラグインはもうあなたのものです。
 */

スポンサードリンク

スポンサードリンク

Copyright© #ツクプラ , 2024 All Rights Reserved.